<?xml version="1.0" encoding="UTF-8"?>
<grammar xmlns:config="http://www.suse.com/1.0/configns" xmlns="http://relaxng.org/ns/structure/1.0" datatypeLibrary="http://www.w3.org/2001/XMLSchema-datatypes">
  <define name="BOOLEAN">
    <attribute name="config:type">
      <value>boolean</value>
    </attribute>
    <choice>
      <value>true</value>
      <value>false</value>
    </choice>
  </define>
  <define name="INTEGER">
    <attribute name="config:type">
      <value>integer</value>
    </attribute>
    <data type="integer"/>
  </define>
  <define name="SYMBOL">
    <attribute name="config:type">
      <value>symbol</value>
    </attribute>
    <text/>
  </define>
  <define name="LIST">
    <attribute name="config:type">
      <value>list</value>
    </attribute>
  </define>
  <!-- this is useful for testing -->
  <define name="Anything">
    <zeroOrMore>
      <choice>
        <attribute>
          <anyName/>
        </attribute>
        <text/>
        <element>
          <anyName/>
          <ref name="Anything"/>
        </element>
      </choice>
    </zeroOrMore>
  </define>
</grammar>
